import { FernFile } from "./types/FernFile";
import { RelativeFilePath } from "./types/RelativeFilePath";
import { WorkspaceParser } from "./types/Result";
export declare type ParsedFileContents = unknown;
export declare namespace Parser {
    type Result = SuccessfulResult | FailedResult;
    interface SuccessfulResult {
        didSucceed: true;
        files: Record<RelativeFilePath, ParsedFileContents>;
    }
    interface FailedResult {
        didSucceed: false;
        failures: Record<RelativeFilePath, WorkspaceParser.FileParseFailure>;
    }
}
export declare function parseYamlFiles(files: readonly FernFile[]): Promise<Parser.Result>;
